
const SM4 = require('gm-crypt').sm4
export function getJMJqueryParams(params, key) {
  if (typeof (params) === 'undefined') {
    params = null
  }
  const sm4Config = {
    // 配置sm4参数
    key, // 这里这个key值是跟后端要的
    mode: 'ecb', // 加密的方式有两种，ecb和cbc两种，也是看后端如何定义的，不过要是cbc的话下面还要加一个iv的参数，ecb不用
    cipherType: 'base64'
  }
  const sm4 = new SM4(sm4Config)
  const encryptData = sm4.encrypt(params)

  return encryptData.trim()
}
